Package ru.bitel.bgbilling.kernel.contract.dashboard.common.bean

# Class DashboardItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.dashboard.common.bean.DashboardItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class DashboardItem extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DashboardItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `String`
  `getAssistantMasterId()`
  `String`
  `getDescription()`
  `String`
  `getIcon()`
  `DashboardItemType`
  `getItemType()`
  `String`
  `getKey()`
  `String`
  `getModule()`
  `int`
  `getModuleId()`
  `List<DashboardItem>`
  `getSubItems()`
  `String`
  `getUrl()`
  `DashboardItem`
  `setAction(String action)`
  `DashboardItem`
  `setAssistantMasterId(String assistantMasterId)`
  `DashboardItem`
  `setDescription(String description)`
  `DashboardItem`
  `setIcon(String icon)`
  `DashboardItem`
  `setId(int id)`
  Устанавливает id объекта
  `DashboardItem`
  `setItemType(DashboardItemType itemType)`
  `DashboardItem`
  `setKey(String key)`
  `DashboardItem`
  `setModule(String module)`
  `DashboardItem`
  `setModuleId(int moduleId)`
  `DashboardItem`
  `setSubItems(List<DashboardItem> subItems)`
  `DashboardItem`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `DashboardItem`
  `setUrl(String url)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DashboardItem

    public DashboardItem()

- ## Method Details

  - ### getAction

    public String getAction()

  - ### getAssistantMasterId

    public String getAssistantMasterId()

  - ### getDescription

    public String getDescription()

  - ### getIcon

    public String getIcon()

  - ### getItemType

    public DashboardItemType getItemType()

  - ### getKey

    public String getKey()

  - ### getModule

    public String getModule()

  - ### getModuleId

    public int getModuleId()

  - ### getSubItems

    public List<DashboardItem> getSubItems()

  - ### getUrl

    public String getUrl()

  - ### setAction

    public DashboardItem setAction(String action)

  - ### setAssistantMasterId

    public DashboardItem setAssistantMasterId(String assistantMasterId)

  - ### setDescription

    public DashboardItem setDescription(String description)

  - ### setIcon

    public DashboardItem setIcon(String icon)

  - ### setId

    public DashboardItem setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setItemType

    public DashboardItem setItemType(DashboardItemType itemType)

  - ### setKey

    public DashboardItem setKey(String key)

  - ### setModule

    public DashboardItem setModule(String module)

  - ### setModuleId

    public DashboardItem setModuleId(int moduleId)

  - ### setSubItems

    public DashboardItem setSubItems(List<DashboardItem> subItems)

  - ### setTitle

    public DashboardItem setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUrl

    public DashboardItem setUrl(String url)